Skip to navigation

List Refunds for Order

Returns a list of refunds ordered by refund ID in ascending order for the given order.

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions
  • store_v2_orders_read_only
  • store_v2_orders

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

transaction_idstringOptional

Filters by refund payment using the BigCommerce transaction_id.

Response

A list of refunds.
datalist of objectsOptional
Collection of Refunds
metaobjectOptional
Response metadata.